﻿#pragma warning disable 649    // disable compiler warnings about unassigned fields

namespace SilverlightGridPrinting.Web
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.Linq;
    using System.Web.Ria;
    using System.Web.Ria.Data;
    using System.Web.DomainServices;
    using System.Data;


    // The MetadataTypeAttribute identifies CustomersMetadata as the class
    // that carries additional metadata for the Customers class.
    [MetadataTypeAttribute(typeof(Customers.CustomersMetadata))]
    public partial class Customers
    {

        // This class allows you to attach custom attributes to properties
        // of the Customers class.
        //
        // For example, the following marks the Xyz property as a
        // required field and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz;
        internal sealed class CustomersMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private CustomersMetadata()
            {
            }

            public string Address;

            public string City;

            public string CompanyName;

            public string ContactName;

            public string ContactTitle;

            public string Country;

            public string CustomerID;

            public EntityState EntityState;

            public string Fax;

            public string Phone;

            public string PostalCode;

            public string Region;
        }
    }
}

#pragma warning restore 649    // re-enable compiler warnings about unassigned fields
